<?php

namespace Slovocast\Infrastructure;

use PDO;
use Slovocast\Infrastructure\DatabaseConnectionInterface;

/**
 * Represents an active connection to a database
 */
class PdoDatabaseConnection extends PDO 
    implements DatabaseConnectionInterface
{
    protected string $name;

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name): void
    {
        $this->name = $name;
    }
}
